Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135489 - Validation reports warnings on valid and completely invalid <copy>'s
Validation reports warnings on valid and completely invalid <copy>'s
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Validation
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@soa
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 12:46 UTC by Kirill Sorokin
Modified: 2008-07-10 15:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Sample (28.45 KB, application/x-compressed)
2008-05-21 12:47 UTC, Kirill Sorokin
Details
Test project (8.64 KB, application/x-compressed)
2008-05-21 14:29 UTC, Vladimir Yaroslavskiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Sorokin 2008-05-21 12:46:48 UTC
See the attached project: assigns ## 2, 3, 4. 

Assign #2 is treated as a warning: I'm trying to copy from a xsd:negativeInteger to xsd:positiveInteger. I would rather
treat this as an error, as the copy would always fail (unless there is no type checking on the runtime).

Assigns #3 and #4 are also treated as warnings, though they are completely valid: I'm copying from xsd:positiveInteger
and xsd:byte to xsd:integer. These copies will always succeed.
Comment 1 Kirill Sorokin 2008-05-21 12:47:23 UTC
Created attachment 61675 [details]
Sample
Comment 2 Vladimir Yaroslavskiy 2008-05-21 14:29:59 UTC
Created attachment 61684 [details]
Test project
Comment 3 Vladimir Yaroslavskiy 2008-05-21 14:30:46 UTC
fixed: ff5738b9710c
Comment 4 Vladimir Yaroslavskiy 2008-05-21 14:46:56 UTC
Assign bpel test fails, validation should be little bit adjusted...
Comment 5 Vladimir Yaroslavskiy 2008-05-22 14:45:51 UTC
fixed.
Comment 6 Vladimir Yaroslavskiy 2008-05-22 14:53:10 UTC
changeset: b0826bf58897
Comment 7 Kirill Sorokin 2008-05-27 11:04:31 UTC
Verified.
Comment 8 pslechta 2008-05-28 09:40:00 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/12896795c23e
http://hg.netbeans.org/release61_fixes/rev/0b935fb8601e


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo